> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Firewalls

> Retrieves a list of firewalls for the current user. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json get /network/firewalls
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /network/firewalls:
    get:
      tags:
        - Firewall
      summary: List Firewalls
      description: >-
        Retrieves a list of firewalls for the current user. Location-specific
        endpoint.
      operationId: listFirewalls
      responses:
        '200':
          description: List of Firewall objects
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - uuid: 550e8400-e29b-41d4-a716-446655440000
                  name: Web Server Firewall
                  description: Firewall for web server instances
                  billing_account_id: 123
                  rules:
                    - uuid: 7b3ec3c8-9c7e-4bcb-a1b9-2c8ad37a82c9
                      protocol: tcp
                      direction: inbound
                      port_start: 80
                      port_end: 80
                      endpoint_spec_type: ip_prefixes
                      endpoint_spec:
                        - 10.22.33.0/24
                        - 10.12.34.5
                  resources_assigned: []
                  created_at: '2025-05-15 10:30:45'
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````